Bug 2160415 - Please branch and build module-build-service for EPEL 8
Summary: Please branch and build module-build-service for EPEL 8
Keywords:
Status: CLOSED COMPLETED
Alias: None
Product: Fedora
Classification: Fedora
Component: module-build-service
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brendan Reilly
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1815695
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-12 10:48 UTC by farrotin
Modified: 2023-06-01 16:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-01 16:50:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELBLD-11926 0 None None None 2023-01-12 10:48:46 UTC

Description farrotin 2023-01-12 10:48:29 UTC
Description of problem:

CentOS Stream needs to use mbs 3.8 and there is no available package for it (yet).
Can you then branch/build/maintain it (and deps) for epel 8 ?

Comment 1 Ben Cotton 2023-02-07 15:12:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 2 Diego Herrera 2023-04-11 13:44:47 UTC
FYI, the missing dependencies were already packaged into EPEL8 [0], so this should build without problems with a couple of changes in the spec file [1].

[0] https://pagure.io/fedora-infrastructure/issue/11042#comment-850139
[1] https://src.fedoraproject.org/rpms/module-build-service/pull-request/8

Comment 3 Diego Herrera 2023-04-25 01:18:41 UTC
I saw that MBS was updated to 3.9.2, so I updated the spec file fix for EPEL8 [0].

[0] https://src.fedoraproject.org/rpms/module-build-service/pull-request/10

Comment 4 Brendan Reilly 2023-05-02 16:49:31 UTC
MBS has been built for EPEL 8. It's currently in Bodhi updates: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-cbcdb2bb9b.

Comment 5 Brendan Reilly 2023-06-01 16:50:07 UTC
Moving to closed as the update was pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.